/* -*- C++ -*- */
// $Id: PublishesDef_i.cpp 76555 2007-01-24 15:39:09Z johnnyw $

#include "orbsvcs/IFRService/PublishesDef_i.h"
#include "orbsvcs/IFRService/Repository_i.h"

ACE_RCSID (IFRService,
           PublishesDef_i,
           "$Id: PublishesDef_i.cpp 76555 2007-01-24 15:39:09Z johnnyw $")

TAO_PublishesDef_i::TAO_PublishesDef_i (
    TAO_Repository_i *repo
  )
  : TAO_IRObject_i (repo),
    TAO_Contained_i (repo),
    TAO_EventPortDef_i (repo)
{
}

TAO_PublishesDef_i::~TAO_PublishesDef_i (void)
{
}

CORBA::DefinitionKind
TAO_PublishesDef_i::def_kind (void)
    ACE_THROW_SPEC ((CORBA::SystemException))
{
  return CORBA::dk_Publishes;
}

